/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumAccesslevel;
import de.ship.db.tables.VCoreUserapplright;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreUserapplrightRecord extends TableRecordImpl<VCoreUserapplrightRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_userapplright.forename</code>.
     */
    public void setForename(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userapplright.forename</code>.
     */
    public String getForename() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_userapplright.surname</code>.
     */
    public void setSurname(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userapplright.surname</code>.
     */
    public String getSurname() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_userapplright.username</code>.
     */
    public void setUsername(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userapplright.username</code>.
     */
    public String getUsername() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_userapplright.usnr</code>.
     */
    public void setUsnr(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userapplright.usnr</code>.
     */
    public Integer getUsnr() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_userapplright.name</code>.
     */
    public void setName(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userapplright.name</code>.
     */
    public String getName() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_userapplright.pk</code>.
     */
    public void setPk(Integer value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userapplright.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(5);
    }

    /**
     * Setter for <code>common_dd.v_core_userapplright.shippie_acl</code>.
     */
    public void setShippieAcl(EnumAccesslevel value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userapplright.shippie_acl</code>.
     */
    public EnumAccesslevel getShippieAcl() {
        return (EnumAccesslevel) get(6);
    }

    /**
     * Setter for <code>common_dd.v_core_userapplright.shipdesigner_acl</code>.
     */
    public void setShipdesignerAcl(EnumAccesslevel value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userapplright.shipdesigner_acl</code>.
     */
    public EnumAccesslevel getShipdesignerAcl() {
        return (EnumAccesslevel) get(7);
    }

    /**
     * Setter for <code>common_dd.v_core_userapplright.square_acl</code>.
     */
    public void setSquareAcl(EnumAccesslevel value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userapplright.square_acl</code>.
     */
    public EnumAccesslevel getSquareAcl() {
        return (EnumAccesslevel) get(8);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreUserapplrightRecord
     */
    public VCoreUserapplrightRecord() {
        super(VCoreUserapplright.V_CORE_USERAPPLRIGHT);
    }

    /**
     * Create a detached, initialised VCoreUserapplrightRecord
     */
    public VCoreUserapplrightRecord(String forename, String surname, String username, Integer usnr, String name, Integer pk, EnumAccesslevel shippieAcl, EnumAccesslevel shipdesignerAcl, EnumAccesslevel squareAcl) {
        super(VCoreUserapplright.V_CORE_USERAPPLRIGHT);

        setForename(forename);
        setSurname(surname);
        setUsername(username);
        setUsnr(usnr);
        setName(name);
        setPk(pk);
        setShippieAcl(shippieAcl);
        setShipdesignerAcl(shipdesignerAcl);
        setSquareAcl(squareAcl);
        resetChangedOnNotNull();
    }
}
